Skip to main content
Resource Center/Hardware/Primary Storage Operations/Ceph Primary Storage Operations

UpdateCephPrimaryStorageMon

UpdateCephPrimaryStorageMon

PUT/zstack/v1/primary-storage/ceph/mons/{monUuid}/actions

Operation ID

UpdateCephPrimaryStorageMon

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • monUuid
    StringRequired

    The Ceph mon (monitor daemon) UUID.

Body Fields

  • hostname
    String

    Optional. The new hostname of the Ceph mon.

  • sshUsername
    String

    Optional. The SSH username of the Ceph mon.

  • sshPassword
    String

    Optional. The SSH password of the Ceph mon.

  • sshPort
    Integer

    Optional. The SSH port of the Ceph mon.

  • monPort
    Integer

    Optional. The new port of the Ceph mon.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The short description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    CephPrimaryStorageInventoryRequired

    See inventory.

    • fsid
      StringRequired

      The fsid.

    • rootVolumePoolName
      StringRequired

      The root volume pool name.

    • dataVolumePoolName
      StringRequired

      The data volume pool name.

    • imageCachePoolName
      StringRequired

      The image cache pool name.

    • uuid
      StringRequired

      The resource UUID.

    • zoneUuid
      StringRequired

      The zone UUID.

    • name
      StringRequired

      The resource name.

    • url
      StringRequired

      The URL.

    • description
      StringRequired

      The detailed description of the resource.

    • totalCapacity
      LongRequired

      The total capacity.

    • availableCapacity
      LongRequired

      The available capacity.

    • totalPhysicalCapacity
      LongRequired

      The total physical capacity.

    • availablePhysicalCapacity
      LongRequired

      The available physical capacity.

    • systemUsedCapacity
      LongRequired

      The system used capacity.

    • type
      StringRequired

      The resource type.

    • state
      StringRequired

      The resource state.

    • status
      StringRequired

      The resource status.

    • mountPath
      StringRequired

      The mount path.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • attachedClusterUuids
      ListRequired

      The attached cluster UUIDs.

    • mons
      ListRequired

      See mons.

      • hostname
        StringRequired

        The hostname.

      • monPort
        IntegerRequired

        The mon port.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

      • primaryStorageUuid
        StringRequired

        The UUID of the Ceph primary storage.

      • monAddr
        StringRequired

        The mon addr.

      • sshUsername
        StringRequired

        The SSH username.

      • sshPassword
        StringRequired

        The SSH password.

      • sshPort
        IntegerRequired

        The SSH port.

      • status
        StringRequired

        The resource status.

      • monUuid
        StringRequired

        The mon UUID.